Subject: bug#36773: 27.0.50; Accessing a cached SVG with eww can cause Emacs to crash

From: Pip Cet <[email-masked]>
Date: Tue, 23 Jul 2019 18:37:38 +0000

On Tue, Jul 23, 2019 at 4:41 PM adam plaice <[email-masked]> wrote:
> A cached SVG accessed with eww can cause Emacs to crash, even when the
> same SVG does not cause a crash when it was not cached.

I can't reproduce the crash; however, I do get some "critical"
warnings from glib because we pass NULL pointers to g_object_unref,
and no image.

So there appear to be at least two bugs here. svg_load_image passes a
NULL pointer to g_object_unref, and eww passes bad cached data to
image.c. And possibly a third bug that's causing your crash.

Which version of librsvg are you using?